Subject: bug#11251: Use -Wl, -rpath instead of -R on GNU/Linux with GCC 4.6

From: Chong Yidong <[email-masked]>
Date: Mon, 16 Apr 2012 18:49:31 +0800

[email-masked] (Ludovic Courtès) writes:

> The patch below fixes linking of ‘temacs’ on GNU/Linux with GCC 4.6.

Thanks.  I guess we'll have to put this in the emacs-24 brach.  It's
late in the pretest, but that can't be helped.  Does anyone see any
problem with the patch?

(BTW, maybe we don't need to AC_SUBST the LD_SWITCH_X_SITE_AUX and
LD_SWITCH_X_SITE_AUX_RPATH variables; they don't seem to be used
anywhere outside of configure.)